Affiliates
Update affiliate settings
Developer API operation for PATCH /dev/v1/affiliates/settings.
PATCH
/
dev
/
v1
/
affiliates
/
settings
Update affiliate settings
curl --request PATCH \
--url https://api.shoppex.io/dev/v1/affiliates/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"affiliate_revenue_active": true,
"affiliate_revenue_percent": 25,
"affiliate_customer_discount_active": true,
"affiliate_customer_discount_percent": 10,
"affiliate_custom_link_active": true,
"affiliate_custom_link_must_approve": false
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
affiliate_revenue_active: true,
affiliate_revenue_percent: 25,
affiliate_customer_discount_active: true,
affiliate_customer_discount_percent: 10,
affiliate_custom_link_active: true,
affiliate_custom_link_must_approve: false
})
};
fetch('https://api.shoppex.io/dev/v1/affiliates/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/affiliates/settings"
payload = {
"affiliate_revenue_active": True,
"affiliate_revenue_percent": 25,
"affiliate_customer_discount_active": True,
"affiliate_customer_discount_percent": 10,
"affiliate_custom_link_active": True,
"affiliate_custom_link_must_approve": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/affiliates/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'affiliate_revenue_active' => true,
'affiliate_revenue_percent' => 25,
'affiliate_customer_discount_active' => true,
'affiliate_customer_discount_percent' => 10,
'affiliate_custom_link_active' => true,
'affiliate_custom_link_must_approve' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/affiliates/settings"
payload := strings.NewReader("{\n \"affiliate_revenue_active\": true,\n \"affiliate_revenue_percent\": 25,\n \"affiliate_customer_discount_active\": true,\n \"affiliate_customer_discount_percent\": 10,\n \"affiliate_custom_link_active\": true,\n \"affiliate_custom_link_must_approve\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"message": "Affiliate settings saved."
}
}Authorizations
Use your Shoppex API key in the Authorization header.
Body
application/jsonmultipart/form-datatext/plain
Response
200 - application/json
Successful response
⌘I
Update affiliate settings
